package IC2BackpackHUD;

import net.minecraftforge.client.MinecraftForgeClient;
import net.minecraftforge.common.Configuration;
import cpw.mods.fml.common.Loader;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.Mod.Init;
import cpw.mods.fml.common.Mod.Instance;
import cpw.mods.fml.common.Mod.PostInit;
import cpw.mods.fml.common.Mod.PreInit;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.registry.TickRegistry;

@Mod(modid = "IC2BackpackHUD", name = "IC2 Backpack HUD", version = "2.1")
public class IC2BackpackHUD
{
	
	@Instance("IC2BackpackHUD")
	public static IC2BackpackHUD instance;

	static boolean showOtherElectricItems = false;
	
	@PreInit
	public void preInit(FMLPreInitializationEvent event)
	{
		Configuration config = new Configuration(event.getSuggestedConfigurationFile());
        config.load();
        
        showOtherElectricItems = config.get(Configuration.CATEGORY_GENERAL, "Show HUD for other Electric Items", false).getBoolean(showOtherElectricItems);
        
        config.save();
	}

	@Init
	public void load(FMLInitializationEvent event)
	{
		if (Loader.isModLoaded("IC2")) {
			try {
				TickRegistry.registerTickHandler(new ClientTickHandler(), Side.CLIENT);
				MinecraftForgeClient.preloadTexture("/IC2BackpackHUD/gui/items.png");
			}
			catch (Exception e) {
			}
		}
	}

	@PostInit
	public void postInit(FMLPostInitializationEvent event)
	{
		 
	}
	 
}